Subject: bug#53574: closed (Re: bug#53574: csplit: help document: +/- is not required before OFFSET)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 27 Jan 2022 13:12:02 +0000

Your bug report

#53574: csplit: help document: +/- is not required before OFFSET

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53574: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53574
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53574: csplit: help document: +/- is not required before OFFSET
From: Pádraig Brady <[email-masked]>
To: Jun-T <[email-masked]>, [email-masked]
Date: Thu, 27 Jan 2022 13:10:38 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 27/01/2022 07:28, Jun-T wrote:
> 'csplit --help' (and 'man csplit') says:
>     A line OFFSET is a required '+' or '-' followed by a positive integer.
> 
> But I think the '+' or '-' is optional, not required.
> 
> 'info csplit' just says:
>     The optional OFFSET is an integer
> 
> I think this is correct since 'an integer' can be 3, +3 or -3.

Good point. Pushed the following:
https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=4a0a8fdbe

Marking this as done.

thanks,
Pádraig

Subject: csplit: help document: +/- is not required before OFFSET
From: Jun-T <[email-masked]>
To: [email-masked]
Date: Thu, 27 Jan 2022 16:28:27 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

'csplit --help' (and 'man csplit') says:
   A line OFFSET is a required '+' or '-' followed by a positive integer.

But I think the '+' or '-' is optional, not required.

'info csplit' just says:
   The optional OFFSET is an integer

I think this is correct since 'an integer' can be 3, +3 or -3.

--
Jun Takimoto